Loading...
Searching...
No Matches
Dune::PolyhedralGridIndexSet< dim, dimworld, coord_t > Class Template Reference
Inheritance diagram for Dune::PolyhedralGridIndexSet< dim, dimworld, coord_t >:

## Public Types

typedef Base::IndexType | IndexType

## Public Member Functions

| PolyhedralGridIndexSet (const GridType &grid)
template<class Entity>
IndexType | index (const Entity &entity) const
template<int cd>
IndexType | index (const typename Traits::template Codim< cd >::Entity &entity) const
template<int cd>
IndexType | subIndex (const typename Traits::template Codim< cd >::Entity &entity, int i, unsigned int codim) const
template<class Entity>
IndexType | subIndex (const Entity &entity, int i, unsigned int codim) const
IndexType | size (GeometryType type) const
int | size (int codim) const
template<class Entity>
bool | contains (const Entity &entity) const
const std::vector< GeometryType > & | geomTypes (int codim) const
const std::vector< GeometryType > & | types (int codim) const
const GridType & | grid () const

## Static Public Attributes

static const int | dimension = Traits::dimension

## Protected Types

typedef PolyhedralGridIndexSet< dim, dimworld, coord_t > | This
typedef IndexSet< GridType, This, int > | Base
typedef std::remove_const< GridType >::type::Traits | Traits

## Protected Attributes

const GridType * | grid_

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/indexset.hh